#
# spec file for package ghc-vectortiles
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name vectortiles
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.2.0.2
Release:        1.30
Summary:        GIS Vector Tiles, as defined by Mapbox
License:        Apache-2.0
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-protobuf-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-vector-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-hex-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
%endif

%description
GIS Vector Tiles, as defined by Mapbox.

This library implements version 2.1 of the official Mapbox spec, as defined
here: <https://github.com/mapbox/vector-tile-spec/tree/master/2.1>

Note that currently this library ignores top-level protobuf extensions, /Value/
extensions, and /UNKNOWN/ geometries.

The order in which to explore the modules of this library is as follows:

1. "Geography.VectorTile.VectorTile" (high-level types)

2. "Geography.VectorTile.Geometry" (typical GIS geometry types)

3. "Geography.VectorTile.Protobuf" (mid-level representation of parsed protobuf
data with conversion functions).

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md

%changelog
* Wed Jan 18 2017 psimons@suse.com
- Update to version 1.2.0.2 with cabal2obs.
* Mon Jan  9 2017 psimons@suse.com
- Update to version 1.2.0.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.2.0 revision 0 with cabal2obs.
